Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358041 - Review Request: python3-scipy - Scientific Tools for Python
Summary: Review Request: python3-scipy - Scientific Tools for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 22:05 UTC by Orion Poplawski
Modified: 2017-03-11 15:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-11 15:18:09 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)
rpmlint output of python3-scipy (deleted)
2016-07-23 09:20 UTC, Antonio Trande
no flags Details
rpmlint output of python3-scipy-debuginfo (deleted)
2016-07-23 09:20 UTC, Antonio Trande
no flags Details

Description Orion Poplawski 2016-07-19 22:05:56 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-scipy.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-scipy-0.17.1-1.el7.src.rpm
Description:
Scipy is open-source software for mathematics, science, and
engineering. The core library is NumPy which provides convenient and
fast N-dimensional array manipulation. The SciPy library is built to
work with NumPy arrays, and provides many user-friendly and efficient
numerical routines such as routines for numerical integration and
optimization. Together, they run on all popular operating systems, are
quick to install, and are free of charge. NumPy and SciPy are easy to
use, but powerful enough to be depended upon by some of the world's
leading scientists and engineers.

Fedora Account System Username: orion

This is for EPEL7 only.

http://koji.fedoraproject.org/koji/taskinfo?taskID=14953600

Comment 1 Antonio Trande 2016-07-22 20:14:45 UTC
The package is already named as python3-scipy.

Why this definition:

%package -n python%{python3_pkgversion}-scipy

?

$ fedora-review -m epel-7-x86_64 -rn python3-scipy-0.17.1-1.el7.src.rpm
INFO: Processing local files: python3-scipy-0.17.1-1.el7.src.rpm
INFO: Getting .spec and .srpm Urls from : Local files in /home/sagitter
INFO:   --> SRPM url: file:///home/sagitter/python3-scipy-0.17.1-1.el7.src.rpm
INFO: Using review directory: /home/sagitter/python3-scipy
error: Package already exists: %package -n python3-scipy
ERROR: "Can't parse specfile: can't parse specfile\n" (logs in /home/sagitter/.cache/fedora-review.log)

Comment 2 Orion Poplawski 2016-07-22 21:00:40 UTC
Because this is for EPEL7 and it builds python34-scipy there.

Comment 3 Antonio Trande 2016-07-22 21:09:50 UTC
(In reply to Orion Poplawski from comment #2)
> Because this is for EPEL7 and it builds python34-scipy there.

Okay; but why %{python3_pkgversion} is not working on mock ?

Comment 4 Orion Poplawski 2016-07-22 21:18:58 UTC
Ah, looks like you aren't going to be able to do much with the spec on Fedora I'm afraid.

Comment 5 Antonio Trande 2016-07-23 09:19:04 UTC
Package review:

[x] The package must be named according to the Package Naming Guidelines .
[x] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[x] The package must meet the Packaging Guidelines.
[x] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[x] The License field in the package spec file must match the actual license.
[-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[x] The spec file must be written in American English. [5]
[x] The spec file for the package MUST be legible. [6]
[x] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[x] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[-] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

[x] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[-] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[x] Packages must NOT bundle copies of system libraries.
[-] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

[x] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[x] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[!] Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[x] Each package must consistently use macros.
[x] The package must contain code, or permissible content.
[-] Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)

[-] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[x] Static libraries must be in a -static package.
[-] Development files must be in a -devel package.
   In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}

[-] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[-] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

[x] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

[x] All filenames in rpm packages must be valid UTF-8.

[-] If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[-] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[x] The reviewer should test that the package builds in mock.
[x] The package should compile and build into binary rpms on all supported architectures.
[ ] The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[-] If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[-] Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[-] The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

[-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[-] your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

'rpmlint' has been ran by using 'mock' shell:

[!] rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review:

<mock-chroot> sh-4.2# rpmlint ./python3-scipy-0.17.1-1.el7.centos.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ mock --no-clean -r epel-7-x86_64 --shell "rpmlint python3-scipy-debuginfo > rpmlint_output-debuginfo.txt"

python3-scipy-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/scipy-0.17.1/scipy/special/c_misc/gammasgn.c
python3-scipy-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/scipy-0.17.1/scipy/special/c_misc/misc.h
'python-bytecode-wrong-magic-value'
$ mock --no-clean -r epel-7-x86_64 --shell "rpmlint python34-scipy > rpmlint_output.txt"

A lot of 'python-bytecode-wrong-magic-value' and 'non-executable-script' errors.

Comment 6 Antonio Trande 2016-07-23 09:20:13 UTC
Created attachment 1183062 [details]
rpmlint output of python3-scipy

Comment 7 Antonio Trande 2016-07-23 09:20:47 UTC
Created attachment 1183063 [details]
rpmlint output of python3-scipy-debuginfo

Comment 8 Orion Poplawski 2016-10-17 21:21:09 UTC
Sorry for the delay.

(In reply to Antonio Trande from comment #5)
> Package review:
> 
> [!] Permissions on files must be set properly. Executables should be set
> with executable permissions, for example.

> [!] rpmlint must be run on the source rpm and all binary rpms the build
> produces. The output should be posted in the review:


> $ mock --no-clean -r epel-7-x86_64 --shell "rpmlint python3-scipy-debuginfo
> > rpmlint_output-debuginfo.txt"
> 
> python3-scipy-debuginfo.x86_64: W: spurious-executable-perm
> /usr/src/debug/scipy-0.17.1/scipy/special/c_misc/gammasgn.c
> python3-scipy-debuginfo.x86_64: W: spurious-executable-perm
> /usr/src/debug/scipy-0.17.1/scipy/special/c_misc/misc.h
> 'python-bytecode-wrong-magic-value'
> $ mock --no-clean -r epel-7-x86_64 --shell "rpmlint python34-scipy >
> rpmlint_output.txt"
> 
> A lot of 'python-bytecode-wrong-magic-value' and 'non-executable-script'
> errors.

python-bytecode errors are a bug in rpmlint.

* Mon Oct 17 2016 Orion Poplawski <orion@cora.nwra.com> - 0.18.1-1
- Update to 0.18.1
- Fix up file permissions

Spec URL: https://www.cora.nwra.com/~orion/fedora/python3-scipy.spec
SRPM URL: https://www.cora.nwra.com/~orion/fedora/python3-scipy-0.18.1-1.el7.src.rpm

Comment 9 Antonio Trande 2016-10-18 09:31:12 UTC
Package approved.

Comment 10 Gwyn Ciesla 2016-10-18 13:39:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-scipy

Comment 11 Fedora Update System 2016-10-21 16:50:20 UTC
python3-scipy-0.18.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6fc54fb584

Comment 12 Fedora Update System 2017-03-11 15:18:09 UTC
python3-scipy-0.18.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.